#
# spec file for package python-pytest-aiohttp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pyname pytest-aiohttp
%{?sle15_python_module_pythons}
Name:           python-pytest-aiohttp
Version:        1.0.5
Release:        1.5
Summary:        Python pytest plugin for aiohttp support
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/aio-libs/pytest-aiohttp
Source:         https://files.pythonhosted.org/packages/source/p/pytest-aiohttp/pytest-aiohttp-%{version}.tar.gz
BuildRequires:  %{python_module aiohttp >= 3.8.1}
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest >= 6.1.0}
BuildRequires:  %{python_module pytest-asyncio >= 0.20.2}
BuildRequires:  %{python_module setuptools_scm >= 6.2}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-aiohttp >= 3.8.1
Requires:       python-pytest >= 6.1.0
Requires:       python-pytest-asyncio >= 0.20.2
BuildArch:      noarch
%python_subpackages

%description
A library that provides fixtures for creation test aiohttp server and client.

%prep
%autosetup -p1 -n %{pyname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pytest_aiohttp
%{python_sitelib}/pytest_aiohttp-%{version}*-info

%changelog
* Mon Oct  2 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.5:
  * Fix some compatibility with Pytest 7.
- pytest72.patch dropped (upstream)
* Tue Jul  4 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add pytest72.patch to make it compatible with pytest 7.2.0
  gh#aio-libs/pytest-aiohttp#49
* Sat Oct 15 2022 Ben Greiner <code@bnavigator.de>
- Fix dependencies: pytest-asyncio missing
- Enable test suite
* Mon Oct 10 2022 Daniel Garcia <daniel.garcia@suse.com>
- Update to 1.0.4
  * Fix failure with aiohttp_client fixture usage when asyncio_mode=strict. #25
- 1.0.3 (2022-01-03)
  * Fix loop and proactor_loop fixtures. #22
- 1.0.2 (2022-01-20)
  * Restore implicit switch to asyncio_mode = auto if legacy mode is detected.
- 1.0.1 (2022-01-20)
  * Don't implicitly switch from legacy to auto asyncio_mode, the integration
    doesn't work well.
- 1.0.0 (2022-1-20)
  * The plugin is compatible with pytest-asyncio now. It uses pytest-asyncio
    for async tests running and async fixtures support, providing by itself
    only fixtures for creating aiohttp test server and client.
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by autobahn
